﻿//
// Task.xaml.h
// Declaration of the Task class
//

#pragma once

#include "Task.g.h"

namespace MobileServicesApp
{
	[Windows::Foundation::Metadata::WebHostHidden]
	public ref class Task sealed
	{
	public:
		Task();
		virtual ~Task(){};
		
	public:
		property int Number
		{
			int get()
			{
				return static_cast<int>(GetValue(NumberProperty_));
			}
			void set(int number)
			{
				SetValue(NumberProperty_, number);
			}
		}
		
		property Platform::String^ Title
		{
			Platform::String^ get()
			{
				return static_cast<Platform::String^>(GetValue(TitleProperty_));
			}
			void set(Platform::String^ s)
			{
				SetValue(TitleProperty_, s);
			}
		}

		property Platform::String^ Description
		{
			Platform::String^ get()
			{
				return static_cast<Platform::String^>(GetValue(DescriptionProperty_));
			}
			void set(Platform::String^ description)
			{
				SetValue(DescriptionProperty_, description);
			}
		}


	private:
		static Windows::UI::Xaml::DependencyProperty^ NumberProperty_;
		static Windows::UI::Xaml::DependencyProperty^ TitleProperty_;
		static Windows::UI::Xaml::DependencyProperty^ DescriptionProperty_;
	};
}
