﻿//
// Task.xaml.cpp
// Implementation of the Task class
//

#include "pch.h"
#include "Task.xaml.h"

using namespace MobileServicesApp;

using namespace Platform;
using namespace Windows::UI::Xaml;
using namespace Windows::UI::Xaml::Interop;

Windows::UI::Xaml::DependencyProperty^ MobileServicesApp::Task::NumberProperty_ = 
										DependencyProperty::Register(ref new String(L"Number"), 
																	 TypeName(int::typeid), TypeName(Task::typeid), 
																	 ref new PropertyMetadata(nullptr) );

Windows::UI::Xaml::DependencyProperty^ MobileServicesApp::Task::TitleProperty_ = 
										DependencyProperty::Register(ref new String(L"Title"), 
																	 TypeName(String::typeid), TypeName(Task::typeid), 
																	 ref new PropertyMetadata(nullptr) );

Windows::UI::Xaml::DependencyProperty^ MobileServicesApp::Task::DescriptionProperty_ = 
										DependencyProperty::Register(ref new String(L"Description"), 
																	 TypeName(String::typeid), TypeName(Task::typeid), 
																	 ref new PropertyMetadata(nullptr) );


Task::Task()
{
	InitializeComponent();	
	this->DataContext = this;	
}
